-- aliases (Minetest 0.4 mod)
-- Provides alias for most default items

core.register_alias("stone", "default:stone")
core.register_alias("dirt", "default:dirt")
core.register_alias("sand", "default:sand")
core.register_alias("gravel", "default:gravel")
core.register_alias("sandstone", "default:sandstone")
core.register_alias("clay", "default:clay")
core.register_alias("brick", "default:brick")
core.register_alias("tree", "default:tree")
core.register_alias("jungletree", "default:jungletree")
core.register_alias("junglegrass", "default:junglegrass")
core.register_alias("junglesapling", "default:junglesapling")
core.register_alias("leaves", "default:leaves")
core.register_alias("cactus", "default:cactus")
core.register_alias("papyrus", "default:papyrus")
core.register_alias("bookshelf", "default:bookshelf")
core.register_alias("glass", "default:glass")
core.register_alias("fence", "default:fence_wood")
core.register_alias("ladder", "default:ladder")
core.register_alias("wood", "default:wood")
core.register_alias("mese", "default:mese")
core.register_alias("cloud", "default:cloud")
core.register_alias("water", "default:water_source")
core.register_alias("lava", "default:lava_source")
core.register_alias("torch", "default:torch")
core.register_alias("sign", "default:sign_wall")
core.register_alias("furnace", "default:furnace")
core.register_alias("chest", "default:chest")
core.register_alias("locked_chest", "default:chest_locked")
core.register_alias("cobble", "default:cobble")
core.register_alias("mossycobble", "default:mossycobble")
core.register_alias("steelblock", "default:steelblock")
core.register_alias("nyanrat", "default:nyancat")
core.register_alias("rainbow", "default:nyancat_rainbow")
core.register_alias("sapling", "default:sapling")
core.register_alias("apple", "default:apple")
core.register_alias("snow", "default:snow")
core.register_alias("dirt_with_snow", "default:dirt_with_snow")

core.register_alias("woodpick", "default:pick_wood")
core.register_alias("stonepick", "default:pick_stone")
core.register_alias("steelpick", "default:pick_steel")
core.register_alias("mesepick", "default:pick_mese")
core.register_alias("woodshovel", "default:shovel_wood")
core.register_alias("stoneshovel", "default:shovel_stone")
core.register_alias("steelshovel", "default:shovel_steel")
core.register_alias("woodaxe", "default:axe_wood")
core.register_alias("stoneaxe", "default:axe_stone")
core.register_alias("steelaxe", "default:axe_steel")
core.register_alias("woodsword", "default:sword_wood")
core.register_alias("stonesword", "default:sword_stone")
core.register_alias("steelsword", "default:sword_steel")

core.register_alias("stick", "default:stick")
core.register_alias("paper", "default:paper")
core.register_alias("book", "default:book")
core.register_alias("coal", "default:coal_lump")
core.register_alias("iron", "default:iron_lump")
core.register_alias("clay_lump", "default:clay_lump")
core.register_alias("steel", "default:steel_ingot")
core.register_alias("clay_brick", "default:clay_brick")

-- Old node names
core.register_alias("default:small_stone", "default:stone_crumbled")
core.register_alias("default:mese_block", "default:mese")
core.register_alias("default:nyancat_rainbow", "default:rainbow")

core.register_alias("nodetest:papyrus_roots", "default:papyrus_roots")
core.register_alias("nodetest:tree_horizontal", "default:tree_horizontal")
core.register_alias("nodetest:jungletree_horizontal", "default:jungletree_horizontal")
core.register_alias("nodetest:bones", "default:bones")
core.register_alias("nodetest:seedling", "default:seedling")
core.register_alias("nodetest:spearwood", "default:spearwood")
core.register_alias("nodetest:spearstone", "default:spearstone")
core.register_alias("nodetest:bonfire", "default:bonfire")

core.register_alias("default:sign_wall", "default:sign_wall_wood")
core.register_alias("default:mese_post_light", "default:mese_post_light_wood")

core.register_alias("default:aspen_tree_horizontal", "default:birch_tree_horizontal")

-- Aliases for corrected pine node names
core.register_alias("default:pinetree", "default:pine_tree")
core.register_alias("default:pinewood", "default:pine_wood")

-- MTG items (see #17)
-- TODO: add some of them as actual items instead
core.register_alias("default:aspen_tree", "default:birch_tree")
core.register_alias("default:aspen_wood", "default:birch_wood")
core.register_alias("default:aspen_leaves", "default:birch_leaves")
core.register_alias("default:aspen_sapling", "default:birch_sapling")
core.register_alias("default:fence_aspen_wood", "default:fence_birch_wood")
core.register_alias("default:fence_rail_aspen_wood", "default:fence_rail_birch_wood")
core.register_alias("default:mese_post_light_aspen_wood", "default:mese_post_light_birch_wood")
core.register_alias("default:silver_sandstone", "default:sandstone")
core.register_alias("default:silver_sandstone_brick", "default:sandstonebrick")
core.register_alias("default:silver_sandstone_block", "default:sandstone_block")

core.register_alias("default:blueberry_bush_leaves", "default:leaves")
core.register_alias("default:blueberry_bush_leaves_with_berries", "default:leaves")
core.register_alias("default:blueberry_bush_sapling", "default:sapling")

core.register_alias("default:bush_stem", "default:tree")
core.register_alias("default:bush_leaves", "default:leaves")
core.register_alias("default:acacia_bush_stem", "default:acacia_tree")
core.register_alias("default:acacia_bush_leaves", "default:acacia_leaves")
core.register_alias("default:pine_bush_stem", "default:pine_tree")
core.register_alias("default:pine_bush_needles", "default:pine_needles")

core.register_alias("default:ladder", "default:ladder_wood")

core.register_alias("default:clay_furnace", "default:furnace")
core.register_alias("default:clay_furnace_active", "default:furnace_active")

core.register_alias("default:seedling", "flowers:rose_seedling")

core.register_alias("default:river_water_source", "default:water_source")
core.register_alias("default:river_water_flowing", "default:water_flowing")
